org.wildfly.swarm.config.management.security_realm

## Class KerberosAuthentication<T extends KerberosAuthentication<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.KerberosAuthentication<T>

-     public class KerberosAuthentication<T extends KerberosAuthentication<T>>
      extends Object

  Configuration to use Kerberos to authenticate the users.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `removeRealm()` After authentication should the realm name be stripped from the users name.
    `T` | `removeRealm(Boolean value)` After authentication should the realm name be stripped from the users name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosAuthentication

          public KerberosAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### removeRealm

          public Boolean removeRealm()

      After authentication should the realm name be stripped from the users name.

    - #### removeRealm

          public T removeRealm(Boolean value)

      After authentication should the realm name be stripped from the users name.

Copyright © 2017 JBoss by Red Hat. All rights reserved.